﻿<%@ Page Language="C#" Inherits="IWMS.Pages.MemberModify" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="zh">
<head>
<!--#include file="inc/html_head.inc"-->
<style type="text/css">
.sf_b { background:#eeeeee; color:#999999;}
.sf_a { background:#33cc33; color:white; font-size:14px; font-weight:bold;}
ul {padding:0;margin:0 0 0 2em;line-height:20px;}
</style>
<script type="text/javascript">
function sf_chg()
{
	var s = document.getElementById("<%=password.ClientID%>").value;
	var o = document.getElementById("sf_tb");
	if (o){
		o = o.rows[0];
		for(var i=0; i<3; i++){
			o.cells[i].className = "sf_b";
		}
		o.cells[sf_lever(s)-1].className = "sf_a";
	}
}
function sf_lever(s)
{
	if (s.length<6){
		return 1;
	}
	var re = new RegExp(/^\d+$/);
	if (re.test(s)){
		return 1;
	}
	re = new RegExp(/^\w+$/);
	if (re.test(s)){
		return 2;
	}
	return 3;
}
</script>
</head>
<body>

<!--#include file="head.inc" -->
<div id="navbar">
<div class="l"></div>
<div class="r"></div>
<div class="m">
	<!--#include file="inc/navclass.inc"-->
</div>
</div>

<div id="navsub">
<div class="l"></div>
<div class="r"></div>
<div class="m">

</div>
</div>

<div id="middle">
<table width="100%" cellpadding="0" cellspacing="0">
<tr valign="top"><td>

	<form id="myForm" runat="server">
	
	<div class="<%=GetFrameCss(style.CssModify,"mframe")%> mR">
	<div class="tl"></div>
	<div class="tr"></div>
	<div class="tm">
		<%=Request.QueryString["act"]=="secure" ? "<span class=\"tt\">安全设置</span>" : GetTitlePic(style.PicModify,"个人资料修改")%>
	</div>
	<div class="wrapper">
	<div class="ml"></div>
	<div class="mr"></div>
	<div class="mm" style="padding:10px">
		<table width="95%" align="center" cellpadding="2">
		<tr><td colspan="2">
			<asp:ValidationSummary 
				 DisplayMode="BulletList" 
				 EnableClientScript="true"
				 ShowSummary="true"
				 ShowMessageBox="false"                        
				 HeaderText="请正确填写以下内容"
				 Style="padding-left:200px"
				 runat="server"/>
			<asp:Label id="myLabel" style="display:block;text-align:center;padding:5px;color:red" EnableViewState="false" runat="server"/>
		</td></tr>
		<asp:PlaceHolder id="phSecure" runat="server">
		<tr><td>
			<strong>密　码：</strong>
		</td><td>
			<asp:TextBox TextMode="Password" id="oldpass" MaxLength="50" size="20" runat="server"/>
			 <asp:RequiredFieldValidator
				ControlToValidate="oldpass"
				Display="None"
				ErrorMessage="密码必须填写"
				runat="server"
				/>
		</td></tr>
		<tr><td>
			<strong>新密码：</strong>
		</td><td>
			<div style="float:left;"><asp:TextBox TextMode="Password" id="password" MaxLength="50" size="20" runat="server"/>
			安全性</div>
			<div>
				<table width="120" height="30" bgcolor="white" cellpadding="5" id="sf_tb">
				<tr align="center"><td width="40" class="sf_b">低
				</td><td width="40" class="sf_b">中
				</td><td width="40" class="sf_b">高
				</td><tr>
				</table>
			</div>
		</td></tr>
		<tr><td>
			<strong>新密码(确认)：</strong>
		</td><td>
			<asp:TextBox TextMode="Password" id="password2" MaxLength="50" size="20" runat="server"/>
			<asp:CompareValidator
				ControlToValidate="password2"
				ControlToCompare="password"
				Display="None"
				ErrorMessage="两次输入的新密码不同"
				runat="server"
				/>
		</td></tr>
		<tr><td>
			<strong>e-mail：</strong>
		</td><td>
			<asp:TextBox id="email" MaxLength="80" size="20" runat="server"/>
			 <asp:RequiredFieldValidator
				ControlToValidate="email"
				ErrorMessage="email必须填写"
				Display="None"
				runat="server"
				/>
			<asp:RegularExpressionValidator
				ControlToValidate="email"
				ValidationExpression="\w[0-9a-zA-Z_\-\.]*@(\w[0-9a-zA-Z\-]*\.)+\w{2,}"
				ErrorMessage="email格式错误"
				Display="None"
				runat="server"
				/>
			&nbsp;
			<asp:CheckBox id="hideEmail" Text="保密" runat="server"/>
		</td></tr>
		<tr><td>
			<strong>找回密码问题：</strong>
		</td><td>
			<asp:TextBox id="question" MaxLength="100" size="50" runat="server"/>
		</td></tr>
		<tr><td>
			<strong>找回密码答案：</strong>
		</td><td>
			<asp:TextBox id="answer" MaxLength="100" size="50" runat="server"/>
		</td></tr>
		<tr><td colspan="2" height="30" align="center">
			<asp:Button Text="修改" OnClick="btSecure_Onclick" runat="server"/>
		</td></tr>
		</asp:PlaceHolder>
		<asp:PlaceHolder id="phInfo" runat="server">
		<tr><td width="200">
			<strong>QQ：</strong>
		</td><td>
			<asp:TextBox id="qq" MaxLength="20" size="20" runat="server"/>
			 <asp:RegularExpressionValidator
				ControlToValidate="qq"
				ValidationExpression="\d+"
				ErrorMessage="qq号格式错误"
				Display="None"
				runat="server"
				/>
		</td></tr>
		<tr><td width="200">
			<strong>MSN：</strong>
		</td><td>
			<asp:TextBox id="msn" MaxLength="20" size="20" runat="server"/>
			 <asp:RegularExpressionValidator
				ControlToValidate="msn"
				ValidationExpression="(\w[0-9a-zA-Z_-]*@(\w[0-9a-zA-Z-]*\.)+\w{2,})"
				ErrorMessage="msn格式错误"
				Display="None"
				runat="server"
				/>
		</td></tr>
		<tr><td width="200">
			<strong>ICQ：</strong>
		</td><td>
			<asp:TextBox id="icq" MaxLength="20" size="20" runat="server"/>
			<asp:RegularExpressionValidator
				ControlToValidate="icq"
				ValidationExpression="\d+"
				ErrorMessage="icq号格式错误"
				Display="None"
				runat="server"
				/>
		</td></tr>
		<tr><td>
			<strong>姓名：</strong>
		</td><td>
			<asp:TextBox id="realname" size="20" MaxLength="100" runat="server"/>
		</td></tr>
		<tr><td>
			<strong>性别：</strong>
		</td><td>
			<asp:RadioButtonList id="male"
				RepeatDirection="Horizontal"
				runat="server">
				<asp:ListItem value="1" Text="男" Selected="True"/>
				<asp:ListItem value="0" Text="女"/>
			</asp:RadioButtonList>
		</td></tr>
		<tr><td>
			<strong>生日：</strong>
		</td><td>
			<asp:TextBox id="birthYear" size="4" MaxLength="4" runat="server"/>
			年<asp:RegularExpressionValidator
				ControlToValidate="birthYear"
				ValidationExpression="\d+"
				ErrorMessage="年必须为数字"
				Display="None"
				runat="server"
				/>
			<asp:DropDownList id="birthMonth" runat="server">
				<asp:ListItem value="" Text="" />
				<asp:ListItem value="1" Text="1" />
				<asp:ListItem value="2" Text="2" />
				<asp:ListItem value="3" Text="3" />
				<asp:ListItem value="4" Text="4" />
				<asp:ListItem value="5" Text="5" />
				<asp:ListItem value="6" Text="6" />
				<asp:ListItem value="7" Text="7" />
				<asp:ListItem value="8" Text="8" />
				<asp:ListItem value="9" Text="9" />
				<asp:ListItem value="10" Text="10" />
				<asp:ListItem value="11" Text="11" />
				<asp:ListItem value="12" Text="12" />
			</asp:DropDownList>
			月
			<asp:DropDownList id="birthDay" runat="server">
				<asp:ListItem value="" Text="" />
				<asp:ListItem value="1" Text="1" />
				<asp:ListItem value="2" Text="2" />
				<asp:ListItem value="3" Text="3" />
				<asp:ListItem value="4" Text="4" />
				<asp:ListItem value="5" Text="5" />
				<asp:ListItem value="6" Text="6" />
				<asp:ListItem value="7" Text="7" />
				<asp:ListItem value="8" Text="8" />
				<asp:ListItem value="9" Text="9" />
				<asp:ListItem value="10" Text="10" />
				<asp:ListItem value="11" Text="11" />
				<asp:ListItem value="12" Text="12" />
				<asp:ListItem value="13" Text="13" />
				<asp:ListItem value="14" Text="14" />
				<asp:ListItem value="15" Text="15" />
				<asp:ListItem value="16" Text="16" />
				<asp:ListItem value="17" Text="17" />
				<asp:ListItem value="18" Text="18" />
				<asp:ListItem value="19" Text="19" />
				<asp:ListItem value="20" Text="20" />
				<asp:ListItem value="21" Text="21" />
				<asp:ListItem value="22" Text="22" />
				<asp:ListItem value="23" Text="23" />
				<asp:ListItem value="24" Text="24" />
				<asp:ListItem value="25" Text="25" />
				<asp:ListItem value="26" Text="26" />
				<asp:ListItem value="27" Text="27" />
				<asp:ListItem value="28" Text="28" />
				<asp:ListItem value="29" Text="29" />
				<asp:ListItem value="30" Text="30" />
				<asp:ListItem value="31" Text="31" />
			</asp:DropDownList>
			日
		</td></tr>
		<tr><td>
			<strong>相片：</strong>
		</td><td>
			<asp:TextBox id="photo" size="20" MaxLength="255" runat="server"/>&nbsp;
			<asp:Image ImageUrl="" Visible="false" ID="mImage" Style="position:absolute" alt="" runat="server"/>
		</td></tr>
		<tr><td>
			<strong>血型：</strong>
		</td><td>
			<asp:DropDownList id="bloodtype" runat="server">
				<asp:ListItem value="" Text="" />
				<asp:ListItem value="A" Text="A"/>
				<asp:ListItem value="B" Text="B"/>
				<asp:ListItem value="O" Text="O"/>
				<asp:ListItem value="AB" Text="AB"/>
			</asp:DropDownList>
		</td></tr>
		<tr><td>
			<strong>国家：</strong>
		</td><td>
			<asp:TextBox id="country" size="20" MaxLength="100" runat="server"/>
		</td></tr>
		<tr><td>
			<strong>省/自治区：</strong>
		</td><td>
			<asp:TextBox id="province" size="20" MaxLength="100" runat="server"/>
		</td></tr>
		<tr><td>
			<strong>市：</strong>
		</td><td>
			<asp:TextBox id="city" size="20" MaxLength="100" runat="server"/>
		</td></tr>
		<tr><td>
			<strong>电话：</strong>
		</td><td>
			<asp:TextBox id="phone" size="20" MaxLength="100" runat="server"/>
		</td></tr>
		<tr><td>
			<strong>邮编：</strong>
		</td><td>
			<asp:TextBox id="postcode" size=10 MaxLength=10 runat="server"/>
		</td></tr>
		<tr><td>
			<strong>联系地址：</strong>
		</td><td>
			<asp:TextBox id="address" size="50" MaxLength="100" runat="server"/>
		</td></tr>
		<tr><td>
			<strong>职业：</strong>
		</td><td>
			<asp:DropDownList id="job" runat="server">
			<asp:ListItem value="财会/金融">财会/金融</asp:ListItem>
			<asp:ListItem value="工程师">工程师</asp:ListItem>
			<asp:ListItem value="顾问">顾问</asp:ListItem>
			<asp:ListItem value="计算机相关行业">计算机相关行业</asp:ListItem>
			<asp:ListItem value="家庭主妇">家庭主妇</asp:ListItem>
			<asp:ListItem value="教育/培训">教育/培训</asp:ListItem>
			<asp:ListItem value="客户服务/支持">客户服务/支持</asp:ListItem>
			<asp:ListItem value="零售商/手工工人">零售商/手工工人</asp:ListItem>
			<asp:ListItem value="退休">退休</asp:ListItem>
			<asp:ListItem value="无职业">无职业</asp:ListItem>
			<asp:ListItem value="销售/市场/广告">销售/市场/广告</asp:ListItem>
			<asp:ListItem value="学生">学生</asp:ListItem>
			<asp:ListItem value="研究和开发">研究和开发</asp:ListItem>
			<asp:ListItem value="一般管理/监督">一般管理/监督</asp:ListItem>
			<asp:ListItem value="政府/军队">政府/军队</asp:ListItem>
			<asp:ListItem value="执行官/高级管理">执行官/高级管理</asp:ListItem>
			<asp:ListItem value="制造/生产/操作">制造/生产/操作</asp:ListItem>
			<asp:ListItem value="专业人员">专业人员</asp:ListItem>
			<asp:ListItem value="自雇/业主,其他">自雇/业主,其他</asp:ListItem>
			<asp:ListItem value=""></asp:ListItem>
			</asp:DropDownList>
		</td></tr>
		<tr><td>
			<strong>学历：</strong>
		</td><td>
			<asp:DropDownList id="edu" runat="server">
			<asp:ListItem value="小学">小学</asp:ListItem>
			<asp:ListItem value="初中">初中</asp:ListItem>
			<asp:ListItem value="高中">高中</asp:ListItem>
			<asp:ListItem value="大学">大学</asp:ListItem>
			<asp:ListItem value="硕士">硕士</asp:ListItem>
			<asp:ListItem value="博士">博士</asp:ListItem>
			</asp:DropDownList>
		</td></tr>
		<tr><td>
			<strong>毕业学校：</strong>
		</td><td>
			<asp:TextBox id="school" size="20" MaxLength="100" runat="server"/>
		</td></tr>
		<tr><td>
			<strong>RSS标题：</strong>
		</td><td>
			<asp:TextBox id="rssTitle" size="20" MaxLength="255" runat="server"/>
		</td></tr>
		<tr><td>
			<strong>自我简介：</strong>
		</td><td>
			<asp:TextBox id="introduction"
				TextMode="MultiLine"
				Columns="40"
				Rows="4"
				runat="server"/>(<255)
		</td></tr>
		<tr><td colspan="2" height="30" align="center">
			<asp:Button Text="修改" Onclick="btInfo_Onclick" runat="server"/>
		</td></tr>
		</asp:PlaceHolder>
		</table>
	</div>
	</div>
	<div class="bl"></div>
	<div class="br"></div>
	<div class="bm"></div>
	</div>
	</form>
</td>
<td width="160">
	<div class="lframe">
	<div class="tl"></div>
	<div class="tr"></div>
	<div class="tm">
		<span class="tt">个人中心</span>
	</div>
	<div class="wrapper">
	<div class="ml"></div>
	<div class="mr"></div>
	<div class="mm">
		<!--#include file="inc/memberNav.inc"-->
	</div>
	</div>
	<div class="bl"></div>
	<div class="br"></div>
	<div class="bm"></div>
	</div>
</td></tr>
</table>
</div>

<!--#include file="foot.inc"-->
</body>
</html>