<%@Page Language="C#" Inherits="IWMS.Pages.Show" EnableSessionState="false" EnableViewState="false" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="zh">
<head>
<!--#include file="../inc/html_head.inc"-->
<%if(news.ID<1 && news.SortID<1){%>
<meta name="robots" content="noindex"/>
<%}%>
<script type="text/javascript" src="inc/show.js"></script>
</head>
<body>
<!--#include file="../head.inc" -->
<div id="navbar">
<div class="l"></div>
<div class="r"></div>
<div class="m">
	<!--#include file="../inc/navclass.inc"-->
</div>
</div>

<div id="navsub">
<div class="l"></div>
<div class="r"></div>
<div class="m">
	<%=StepPath()%>
</div>
</div>

<table id="middle" width="100%" cellspacing="0" cellpadding="0">
<tr><td>

	<div class="<%=GetFrameCss(style.CssReadNews,"mframe")%> mR">
	<div class="tl"></div>
	<div class="tr"></div>
	<div class="tm">
		<%=GetTitlePic(style.PicReadNews,"阅读内容")%>
	</div>
	<div class="wrapper">
	<div class="ml"></div>
	<div class="mr"></div>
	<div class="mm" style="padding:0 15px">
		<br/><div align="center"><h1 class="aTitle"><%=news.Title%></h1></div>
		<%if(subTitle.Length>0){%>	<div align="center"><h2 class="subTitle"><%=subTitle%></h2></div><%}%>
		<table width="100%" align="center" bgcolor="#e0e0e0" cellspacing="1" cellpadding="5">
			<tr class="tdbg">
				<td width="50%"><strong>运行环境：</strong><%=GetSoftEnviroment(curSoft.Enviroment)%></td>
				<td width="50%" rowspan="6" align="center"><%=news.TitleImg.Length>0 ? "<img src=\""+ news.TitleImg +"\"/>" : ""%></td>
			</tr><tr class="tdbg-dark">
				<td><%if (curSoft.Demo.Length>0){%><div style="float:right;width:40%"><strong><a href="<%=curSoft.Demo%>" target="_blank">演示</a></strong></div><%}%>
				<strong>授权方式：</strong><%=GetSoftLicense(curSoft.License)%></td>
			</tr><tr class="tdbg">
				<td><strong>软件大小：</strong><%=curSoft.FileSize%></td>
			</tr><tr class="tdbg-dark">
				<td><div style="float:right;width:40%"><b>下载量：</b><span id="news_hits"></span></div>
				<strong>更新日期：</strong><%=FormatTime(news.AddDate,config.DateFormatShow)%></td>
			</tr><tr class="tdbg">
				<td><strong>来源地址：</strong><%=news.SourceUrl.Length>0 ? (news.SourceUrl.Length>0 ? "<a href=\""+ news.SourceUrl +"\" target=\"_blank\">"+ (news.Source.Length>0 ? news.Source : news.SourceUrl) +"</a>" : news.Source) : ""%></td>
			</tr><tr class="tdbg-dark">
				<td><strong>联系作者：</strong><%=news.Author.Length>0 ? (news.AuthorEmail.Length>0 ? "<a href=\"mailto:"+ news.AuthorEmail +"\">"+ news.Author +"</a>" : news.Author) : ""%></td>
			</tr>
		</table>
		<br/>
		<%=config.TopAd%>
		
		<div id="content"><%=news.Content%></div>
		
		<asp:Literal id="numPages" runat="server"/>
		<asp:DataList id="dlPages"
			RepeatColumns="1"
			RepeatDirection="Horizontal"
			Width="95%"
			Style="clear:both"
			align="center"
			runat="server">
			<HeaderStyle Height="20"/>
			<ItemStyle Height="20"/>
			<HeaderTemplate>【内容导航】</HeaderTemplate>
			<ItemTemplate>
				第<%#Eval("id")%>页：<a href="<%#Eval("url")%>" <%#(int)Eval("id")==currentPage ? "class=\"highlight\"" : ""%>><%#Eval("title")%></a>
			</ItemTemplate>
		</asp:DataList>
		<%=config.FootAd%>
		
		<div style="font-weight:bold;padding:5px 0;">下载地址：</div>
		<asp:Repeater id="rpLinks"
			runat="server">
			<HeaderTemplate>
				<ul id="softLinks">
			</HeaderTemplate>
			<ItemTemplate>
				<li><a href="<%#(int)Eval("Limit")==0 ? Eval("Url").ToString() : "down.aspx?id="+ Eval("ID")%>" target="_blank"><%#Eval("Name")%></a></li>
			</ItemTemplate>
			<FooterTemplate>
				</ul>
			</FooterTemplate>
		</asp:Repeater>
		
		<div style="text-align:right;clear:both">
			<a href="###" onmouseover="fav.disp(this)" class="fav">收藏</a>
			<script type="text/javascript">mail.smtp=<%=config.SmtpServer.Length>0?"true":"false"%>;</script>
			<a href="###" onclick="mail.disp(this)" class="mail">推荐</a> |
			录入：<%=news.MemberID>0 ? "<a href=\"memberProfile.aspx?id="+ news.MemberID +"\" target=\"_blank\">"+ news.MemberName +"</a>" : ""%>
			<asp:Literal id="ltEditor" runat="server"/>
			【 字体：<a href="javascript:ContentSize(16)">大</a> <a href="javascript:ContentSize(14)">中</a> <a href="javascript:ContentSize(12)">小</a> 】
		</div>
		<div class="nearNews">
			<div class="prevNews"><asp:Literal id="PreviousLink" runat="server" /></div>
			<div class="nextNews"><asp:Literal id="NextLink" runat="server"/></div>
		</div>
	</div>
	</div>
	<div class="bl"></div>
	<div class="br"></div>
	<div class="bm"></div>
	</div>

	<div class="<%=GetFrameCss(style.CssRelate,"mframe")%> mR">
	<div class="tl"></div>
	<div class="tr"></div>
	<div class="tm">
		<%=GetTitlePic(style.PicRelate,"相关内容")%>　　&nbsp;
		<asp:Literal id="RelateLink" runat="server"/>
	</div>
	<div class="wrapper">
	<div class="ml"></div>
	<div class="mr"></div>
	<div class="mm">
		<%=RelateNews(5,40,true)%>
	</div>
	</div>
	<div class="bl"></div>
	<div class="br"></div>
	<div class="bm"></div>
	</div>
	
	<div class="<%=GetFrameCss(style.CssRemarks,"mframe")%> mR">
	<div class="tl"></div>
	<div class="tr"></div>
	<div class="tm">
		<%=GetTitlePic(style.PicRemarks,"本文评论")%>
		 	　　<a href="<%=GetUrlRemark(articleID)%>" target="_blank">查看全部评论</a> <span class="gray">(<%=news.RemarkNum%>)</span>
	</div>
	<div class="wrapper">
	<div class="ml"></div>
	<div class="mr"></div>
	<div class="mm">
		<table width="100%" style="margin:6px">
		<tr><td width="300">
			<form name="fmRemarkSt" action="" onsubmit="return remark.post(this);">
			<input type="hidden" value="1" name="face"/>
			表情： <img src="pic/b.gif" alt="表情" class="face1" style="cursor:pointer;vertical-align:middle" onclick="remark.dispFace(this)" onmouseout="remark.hideFace()"/>
			姓名： <input type="text" name="username" value="" maxlength="15" style="width:60px" class="inputbg"/>
			<input type="checkbox" id="rmAnonymitySt" onclick="remark.anony(this)"/><label for="rmAnonymitySt">匿名</label>
			字数 <input type="text" id="bodyLen" size="3" readonly="readonly" style="border-width:0;background:transparent;vertical-align:middle" value="0"/>
			<br/>
			点评：
				<textarea name="body" cols="40" rows="4" onkeydown="remark.dispLen(this)" onkeyup="remark.handle(event,this);remark.dispLen(this)" style="width:20em;height:60px;margin:3px 0;overflow-y:auto"></textarea>
				<br/>
		　　　<input type="checkbox" checked="checked" id="rmAgreeSt"/><label for="rmAgreeSt">同意评论声明</label>
		　　　<button type="submit" style="width:50px">发表</button>
			</form>
		</td><td>
			评论声明
			<ul style="list-style-type:square;margin:5px 0 0 1em;padding:0">
			<li>尊重网上道德，遵守中华人民共和国的各项有关法律法规</li>
			<li>承担一切因您的行为而直接或间接导致的民事或刑事法律责任</li>
			<li>本站管理人员有权保留或删除其管辖留言中的任意内容</li>
			<li>本站有权在网站内转载或引用您的评论</li>
			<li>参与本评论即表明您已经阅读并接受上述条款</li>
			</ul>
		</td></tr>
		</table>
		<script type="text/javascript" src="inc/remark.js"></script>
		<script type="text/javascript">
			remark.maxSize=<%=config.RemarkSize%>;
			remark.minSize=<%=config.RemarkMinSize%>;
			iwms.vCode="<%=config.IwmsVcode%>";
			iwms.user.name.length==0 ? $i("rmAnonymitySt").click() : $i("rmAnonymitySt").form.username.value=iwms.user.name;
		</script>
		
		<%=GetRemarks(5)%>
	</div>
	</div>
	<div class="bl"></div>
	<div class="br"></div>
	<div class="bm"></div>
	</div>
	
</td><td width="250" valign="top">
	<div class="<%=GetFrameCss(style.CssSearch,"lframe")%>">
	<div class="tl"></div>
	<div class="tr"></div>
	<div class="tm">
		<%=GetTitlePic(style.PicSearch,"内容查询")%>
	</div>
	<div class="wrapper">
	<div class="ml"></div>
	<div class="mr"></div>
	<div class="mm">
		<form method="get" action="search.aspx" name="frmSearch" style="display:inline;">
			<div align="center" style="padding:10px;">
			<input type="text" name="keyword" class="inputbg" size="30" style="margin-bottom:5px"/><br/>
			<select name="where">
				<option value="title">标题</option>
				<option value="content">内容</option>
				<option value="writer">作者</option>
			</select>
			<button type="submit">搜索</button><br/>
			</div>
		</form>
	</div>
	</div>
	<div class="bl"></div>
	<div class="br"></div>
	<div class="bm"></div>
	</div>
	
	<%=config.SideAd%>
	
	<div class="<%=GetFrameCss(style.CssWeekHot,"lframe")%>">
	<div class="tl"></div>
	<div class="tr"></div>
	<div class="tm">
		<%=GetTitlePic(style.PicWeekHot,"本周热门内容")%>
	</div>
	<div class="wrapper">
	<div class="ml"></div>
	<div class="mr"></div>
	<div class="mm">
		<%=TopList(curSort.ID,"weekhot",10,34,false,false,false,false,false)%>
	</div>
	</div>
	<div class="bl"></div>
	<div class="br"></div>
	<div class="bm"></div>
	</div>
</td></tr>
</table>

<!--#include file="../foot.inc" -->

</body>
</html>