﻿<%@Page Language="C#" Inherits="IWMS.Admin.GroupAdd" MasterPageFile="admin.master"%>
<asp:Content ContentPlaceHolderId="cphMain" runat="server">

	<form id="MyForm" runat="server">
		<asp:ValidationSummary 
			 DisplayMode="BulletList" 
			 EnableClientScript="true"
			 ShowSummary="false"
			 ShowMessageBox="true"                        
			 HeaderText="请正确填写以下内容"
			 runat="server"/>
	
	<div class="mframe">
	<div class="tl"></div>
	<div class="rt"></div>
	<div class="tm">
		<span class="tt"><asp:Literal id="titleAct" runat="server"/>会员组</span>
	</div>
	<div class="wrapper">
	<div class="ml"></div>
	<div class="mr"></div>
	<div class="mm">
		<asp:Label id="myLabel" class="msgBar" EnableViewState="false" runat="server"/>
		 <table cellpadding="3" width="95%" align="center" >
		  <tr> 
		   <th width="130">
			会员组名：
		</th><td>
			<asp:TextBox Columns="15" MaxLength="15" id="Groupname" runat="server"/>
			<asp:RequiredFieldValidator id="RequiredFieldValidator"
				ControlToValidate="Groupname"
				ErrorMessage="会员组名必须填写"
				Display="None"
				runat="server"/>
			<asp:RegularExpressionValidator id="RegularExpressionValidator"
				runat="server"
				ControlToValidate="Groupname"
				ValidationExpression="[^' ]+"
				ErrorMessage="会员组名不能有'字符"
				Display="None" /> 
		</td></tr>
		<tr><td>	
			
		</td><td>
			<asp:CheckBox id="checkAdd" Text="推荐内容需审核" runat="server"/>
		</td></tr>
		<tr><td>	
			
		</td><td>
			<asp:CheckBox id="editNews" Text="可修改自己添加的内容" runat="server"/>
		</td></tr>
		<tr><th>	
			备注：
		</th><td>
			<asp:TextBox Columns="40"
				MaxLength="100"
				id="Remarks"
				runat="server"/>
			<asp:RegularExpressionValidator
				runat="server"
				ControlToValidate="Remarks"
				ValidationExpression="[^' ]+"
				ErrorMessage="*"
				Display="Dynamic" />
		</td></tr>
		<tr><th>	
			每天可上传文件数：
		</th><td>
			<asp:TextBox Columns="5"
				MaxLength="5"
				Text = "0"
				id="uploadPerday"
				runat="server"/>
			<asp:RegularExpressionValidator
				runat="server"
				ControlToValidate="uploadPerday"
				ValidationExpression="\d+"
				ErrorMessage="上传数只能为数字"
				Display="Dynamic" />
		</td></tr>
		<tr><th valign="top">	
			可推荐内容分类：<br/>
			<span class="explain">按ctrl多选</span>
		</th><td>
			<asp:ListBox id="allowSorts"
				Rows="10"
				SelectionMode="Multiple"
				runat="server"/>
			<script type="text/javascript">
			function setOptionColor()
			{
				var obj=document.getElementById("<%=allowSorts.ClientID%>");
				for (var i=obj.options.length-1;i>=0;i--)
				{
					var id = parseInt(obj.options[i].value);
					if (id==0)
					{
						obj.options[i].style.color="gray";
					}
				}
			}
			setOptionColor();
			</script>
		</td></tr>
		<tr><td height="30" align="center" colspan="2">
		   <asp:Button id="Submit" text="添 加" onclick="Submit_OnClick" runat="server"/>
		   </td>
		  </tr>
		 </table>
		
	</div>
	</div>
	<div class="bl"></div>
	<div class="br"></div>
	<div class="bm"></div>
	</div>
	
	</form>

</asp:Content>